%define name	deltarpm
%define version	3.3
%define release	%mkrel 4
%define rpmdir	%{_prefix}/lib/rpm

Summary:	Tools to create and apply deltarpms
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.suse.com/pub/projects/deltarpm/%{name}-%{version}.tar.bz2
Patch0:		deltarpm-2.2-mandir.patch
URL: http://www.novell.com/products/linuxpackages/suselinux/deltarpm.html
License:	BSD
Group:		System/Configuration/Packaging
BuildRequires:	rpm-devel, popt-devel, zlib-devel, bzip2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package contains tools to create and apply deltarpms. A deltarpm
contains the difference between an old and a new version of a rpm,
which makes it possible to recreate the new rpm from the deltarpm and
the old one. You don't have to have a copy of the old rpm, deltarpms
can also work with installed rpms.

Starting from version 2.2, there are also tools to handle ISO diffs.

%prep
%setup -q
%patch0 -p1 -b .mandir

%build
%make prefix="%{_prefix}" rpmdumpheader="%{rpmdir}/rpmdumpheader" CFLAGS="%optflags -I%_includedir/rpm"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{rpmdir}
%makeinstall_std prefix="%{_prefix}" rpmdumpheader="%{rpmdir}/rpmdumpheader"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE.BSD
%{_bindir}/makedelta*
%{_bindir}/applydelta*
%{_bindir}/drpmsync
%{_bindir}/combinedeltarpm
%{_mandir}/man8/makedelta*.8*
%{_mandir}/man8/applydelta*.8*
%{_mandir}/man8/drpmsync.8*
%{_mandir}/man8/combinedeltarpm.8*
%{rpmdir}/rpmdumpheader




%changelog
* Sun Jun 10 2007 Olivier Thauvin <nanardon@mandriva.org> 3.3-4mdv2008.0
+ Revision: 37866
- add rpm includedir path to cflags, use it


* Thu Nov 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.3-3mdv2007.0
+ Revision: 88831
- Import deltarpm

* Wed Nov 29 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.3-3mdv2007.1
- fix URL

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.3-2mdk
- Rebuild for rpm 4.4.5

* Thu Oct 13 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.3-1mdk
- 3.3

* Fri Aug 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.3-2mdk
- fix description

* Fri Aug 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.3-1mdk
- 2.3

* Thu May 12 2005 Olivier Thauvin <nanardon@mandriva.org> 2.2-3mdk
- rebuild for rpm4.4

* Fri Apr 22 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2-2mdk
- fix rdevs tag encoding (thanks michael)

* Fri Mar 18 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2-1mdk
- 2.2
- add makdeltaiso tools
- mkdeltarpm is obsoleted by makedeltarpm

* Sun Jan 23 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-3mdk
- make mkdeltarpm generate .seq files so that we can simply check with
  applydeltarpm -c -s for a possible rpm reconstruction

* Mon Jan 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- add support for gzip'ed rpm
- add mkdeltarpm helper script

* Thu Jan 06 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-1mdk
- First Mandrakelinux package

